package domain


type AlibabaWdkSkuQueryApiResult struct {
    /*
        单条查询结果     */
    Model  *AlibabaWdkSkuQuerySkuDo `json:"model,omitempty" `

    /*
        请求参数不能为空     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        单条错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        单条是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuQueryApiResult) SetModel(v AlibabaWdkSkuQuerySkuDo) *AlibabaWdkSkuQueryApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSkuQueryApiResult) SetErrCode(v string) *AlibabaWdkSkuQueryApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuQueryApiResult) SetErrMsg(v string) *AlibabaWdkSkuQueryApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuQueryApiResult) SetSuccess(v bool) *AlibabaWdkSkuQueryApiResult {
    s.Success = &v
    return s
}
